library(ggplot2)
library(tidyr)

#faili sisselugemine ja andmete formaadi korrigeerimine
J313=read.csv2("PT3-T3.1-J3.1.3.csv",header=TRUE, encoding ="UTF-8")
J313=pivot_longer(J313, 2:3)
J313$value=as.numeric(J313$value)
J313$Perevorm=as.factor(J313$Perevorm)
J313$Perevorm=factor(J313$Perevorm,levels(J313$Perevorm)[order(c(5,2,4,1,3))])
J313$value=round(J313$value,digits=1)
J313$value[5]=6.5
J313$value[6]=6.1
J313$silt=as.character(J313$value)
J313$silt[7]="7.0"

#joonis
ggplot(J313)+
  facet_grid(~name)+
  geom_col(aes(x=Perevorm,y=value,fill=name))+
  geom_label(aes(x=Perevorm, y=value, label=silt))+
  theme_minimal()+
  theme(legend.position = "none")+
  scale_fill_manual(values=c("#4db3d9","#38bf7b"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  theme(strip.text.x=element_text(color="#668080"))+
  scale_y_continuous(limits=c(0,10))+
  theme(axis.text.x = element_text(angle = 45))+
  ylab("Eluga rahulolu keskmine (1-10 skaalal)")+
  xlab("")






